#!/bin/bash
### ------------------------------------------------------------------------
# Copyright© Guangzhou r&d center of China telecom co., LTD. 2018-2019. All rights reserved.
# 本文件为天翼云电脑Linux客户端依赖检测脚本，返回clink缺失的库
### ------------------------------------------------------------------------
BASE_DIR=$(cd `dirname $0`; pwd)
! $(command -v ldd >/dev/null 2>&1) && exit 0
2>/dev/null

if [ "$1"x != ""x ] && [ -f $1 ]; then
CLINK_PATH=$1
else
CLINK_PATH=${BASE_DIR}/../resources/additional/linux/clink.node
fi
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
export LD_LIBRARY_PATH=${BASE_DIR}/../lib:${BASE_DIR}/../:${LD_LIBRARY_PATH}

CLINK_CHECK=""
if [ "${CLINK_PATH}"x != ""x ] && [ -f ${CLINK_PATH} ]; then
  CLINK_CHECK=$(ldd ${CLINK_PATH} 2>/dev/null | grep "not found" | awk '{print $1}')
  if [ "${CLINK_CHECK}"x != ""x ]; then
    echo "not found ${CLINK_CHECK} for ${CLINK_PATH} "
  fi
fi

GST_CHECK=""
GST_LIB_PATH=${BASE_DIR}/../lib/libgstreamer-1.16.so.1
if [ -f ${GST_LIB_PATH} ]; then
  GST_CHECK=$(ldd ${GST_LIB_PATH} 2>/dev/null | grep "not found" | awk '{print $1}')
  if [ "${GST_CHECK}"x != ""x ]; then
    echo "not found ${GST_CHECK} for libgstreamer-1.16.so.1 "
  fi
fi

if [ "${GST_CHECK}"x == ""x ] && [ "${CLINK_CHECK}"x == ""x ]; then
  echo "dep check success"
fi